package com.seatel.mobilehall.ui.home.viewholder

import android.view.View
import android.widget.TextView
import com.seatel.mobilehall.R
import com.seatel.mobilehall.ui.base.adapter.BaseRecyclerAdapter

/**
 *
 *
 * @author Noel
 * @version
 * @created on 19-Oct-18
 */
class PrefixBottomSheetViewHolder(itemView: View) : BaseViewHolder<String>(itemView) {


    override fun binData(baseRecyclerAdapter: BaseRecyclerAdapter<String>) {
        val data = baseRecyclerAdapter.getItem(adapterPosition)


        itemView.findViewById<TextView>(R.id.text_title_first).visibility = View.GONE
        itemView.findViewById<TextView>(R.id.text_title_last).visibility = View.GONE
        itemView.findViewById<TextView>(R.id.tv_center_sign).visibility = View.GONE
        itemView.findViewById<TextView>(R.id.text_title).text = data
    }
}